Get Data Safe onboarding submission status
get
https://EM_HOST:8080/em/api/databases/dataSafeOnboardings/{submissionId}
Returns the current status for a submitted Data Safe onboarding procedure.
Request
Path Parameters
-
submissionId(required): string
Procedure submission identifier returned by the registration request.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Data Safe onboarding submission status.
Root Schema : DataSafeOnboardingStatus
Type:
objectStatus for a submitted Data Safe onboarding procedure.
Show Source
-
procedureName(required): string
Submitted procedure name.
-
status(required): string
Current submission status.
-
submissionId(required): string
Procedure submission identifier returned by Enterprise Manager.
-
timeFinished: string
(date-time)
Completion timestamp, when available.
-
timeStarted: string
(date-time)
Start timestamp, when available.
-
timeSubmitted: string
(date-time)
Submission timestamp.
400 Response
Bad Request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
401 Response
Client is not authenticated
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
403 Response
Forbidden. The user is forbidden to perform the requested operation
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
404 Response
Resource not found or not authorized for access
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
500 Response
Internal Server Error
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
503 Response
Indicates that a required service is not available
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description